PDA

View Full Version : perl Time::HiRes



Carlton Remy
2003-11-21, 14:25
I must be a perl idiot, cuz I can't get the slimserver 5.0.1 to start on
RedHat 7.3 w/ perl 5.6.1 installed.

I installed Time::HiRes, but it still can't find it. what gives?
Thanks in advance.

here's the error msg:
Can't locate loadable object for module Time::HiRes in @INC (@INC contains:
/sa2/lib/site_perl
/usr/lib/perl5/5.6.1/i386-linux
/usr/lib/perl5/5.6.1
/usr/lib/perl5/site_perl/5.6.1/i386-linux
/usr/lib/perl5/site_perl/5.6.1
/usr/lib/perl5/site_perl/5.6.0/i386-linux
/usr/lib/perl5/site_perl/5.6.0
/usr/lib/perl5/site_perl/i386-linux
/usr/lib/perl5/site_perl
/usr/lib/perl5/vendor_perl/5.6.1/i386-linux
/usr/lib/perl5/vendor_perl/5.6.1
/usr/lib/perl5/vendor_perl .
/usr/local/slimserver
/usr/local/slimserver/CPAN
/usr/local/slimserver/CPAN/arch/i386-linux)
at /usr/local/slimserver/slimserver.pl line 78
Compilation failed in require at /usr/local/slimserver/slimserver.pl
line 78.
BEGIN failed--compilation aborted at /usr/local/slimserver/slimserver.pl
line 78

This is the result of a find -name HiRes.pm command:
/usr/lib/perl5/5.6.1/i386-linux/Time/HiRes.pm
/usr/lib/perl5/vendor_perl/5.8.0/i386-linux-thread-multi/Time/HiRes.pm
/usr/local/slimserver/CPAN/arch/MSWin32-x86-multi-thread/Time/HiRes.pm
/usr/local/slimserver/CPAN/arch/cygwin-multi/Time/HiRes.pm
/usr/local/slimserver/CPAN/arch/darwin/Time/HiRes.pm
/usr/local/slimserver/CPAN/arch/i386-freebsd/Time/HiRes.pm
/usr/local/slimserver/CPAN/arch/i386-linux/Time/HiRes.pm
/usr/local/slimserver/CPAN/arch/i386-openbsd/Time/HiRes.pm
/usr/local/slimserver/CPAN/arch/i586-linux/Time/HiRes.pm
/usr/local/slimserver/CPAN/arch/i686-linux/Time/HiRes.pm
/usr/local/slimserver/CPAN/arch/ppc-linux/Time/HiRes.pm
/usr/local/slimserver/CPAN/arch/sparc-linux/Time/HiRes.pm
/usr/local/slimserver/CPAN/arch/sun4-solaris/Time/HiRes.pm
/usr/local/slimserver/CPAN/arch/sun4-solaris-64int/Time/HiRes.pm
/usr/local/slimserver/Time/HiRes.pm
/sa2/lib/site_perl/Time/HiRes.pm

Daniel Rich
2003-11-21, 14:49
Carlton Remy wrote:
> I must be a perl idiot, cuz I can't get the slimserver 5.0.1 to start on
> RedHat 7.3 w/ perl 5.6.1 installed.
>
> I installed Time::HiRes, but it still can't find it. what gives?
> Thanks in advance.
>
> here's the error msg:
> Can't locate loadable object for module Time::HiRes in @INC (@INC contains:
> /sa2/lib/site_perl
> /usr/lib/perl5/5.6.1/i386-linux
> /usr/lib/perl5/5.6.1
> ...
> at /usr/local/slimserver/slimserver.pl line 78
> Compilation failed in require at /usr/local/slimserver/slimserver.pl
> line 78.
> BEGIN failed--compilation aborted at /usr/local/slimserver/slimserver.pl
> line 78
>
> This is the result of a find -name HiRes.pm command:
> /usr/lib/perl5/5.6.1/i386-linux/Time/HiRes.pm
> /usr/lib/perl5/vendor_perl/5.8.0/i386-linux-thread-multi/Time/HiRes.pm

Did you install this from an rpm? It looks like you installed a perl 5.8.0
version of Time::HiRes when you are using Perl 5.6.1.

You should be able to install it using the CPAN module. As root, run the
following:
perl -MCPAN -e 'install Time::HiRes'
Installing it though CPAN will build it with your current perl environment,
guaranteeing that it's the right version.

--
Dan Rich <drich (AT) employees (DOT) org> | http://www.employees.org/~drich/
| "Step up to red alert!" "Are you sure, sir?
| It means changing the bulb in the sign..."
| - Red Dwarf (BBC)

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.3 (GNU/Linux)

iD8DBQE/vohwIYJ5xMxu09kRAqv1AKC0Rj2T9/L2gpwbSNMjtyOCAYomZACgl3LD
9/7a7fm3oTRTOGtN7mujJL8=
=4ohN
-----END PGP SIGNATURE-----